Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364829 - OpenShift Install fails with 2 or more worker nodes
Summary: OpenShift Install fails with 2 or more worker nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 1.0
Assignee: Dylan Murray
QA Contact: James Olin Oden
Dan Macpherson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 01:04 UTC by John Matthews
Modified: 2016-09-13 16:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 16:35:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1862 normal SHIPPED_LIVE Red Hat Quickstart Installer 1.0 2016-09-13 20:18:48 UTC

Description John Matthews 2016-08-08 01:04:07 UTC
Description of problem:

Unable to install OpenShift with 2 or worker nodes, looks like a problem with how we form the answers file.

Seen with ISO from 8/6/2016

2016-08-07 20:11:44,043 p=27890 u=foreman |  failed: [jwm1-ose-master1.example.com] => {"changed": true, "cmd": "atomic-openshift-installer -u -c /tmp/atomic-openshift-installer.answers.cfg.yml install", "delta": "0:00:00.159470", "end": "2016-08-08 00:11:43.847000", "rc": 1, "start": "2016-08-08 00:11:43.687530", "warnings": []}
2016-08-07 20:11:44,043 p=27890 u=foreman |  stderr: Traceback (most recent call last):
  File "/bin/atomic-openshift-installer", line 9, in <module>
    load_entry_point('ooinstall==3.0.0', 'console_scripts', 'oo-install')()
  File "/usr/lib/python2.7/site-packages/click/core.py", line 664, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 644, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 988, in invoke
    Command.invoke(self, ctx)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 837, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 464, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/ooinstall/cli_installer.py", line 804, in cli
    oo_cfg = OOConfig(ctx.obj['configuration'])
  File "/usr/lib/python2.7/site-packages/ooinstall/oo_config.py", line 163, in __init__
    self._read_config()
  File "/usr/lib/python2.7/site-packages/ooinstall/oo_config.py", line 212, in _read_config
    'Config file "{}" is not a valid YAML document'.format(self.config_path))
ooinstall.oo_config.OOConfigFileError: Config file "/tmp/atomic-openshift-installer.answers.cfg.yml" is not a valid YAML document



# cat /tmp/atomic-openshift-installer.answers.cfg.yml 
ansible_config: /usr/share/atomic-openshift-utils/ansible.cfg
ansible_log_path: /tmp/ansible.log
ansible_ssh_user: root
deployment:
  hosts:
  - connect_to: jwm1-ose-node1.example.com
    hostname: jwm1-ose-node1.example.com
    ip: 192.168.155.13
    node: true
    public_hostname: jwm1-ose-node1.example.com
    public_ip: 192.168.155.13- connect_to: jwm1-ose-node2.example.com
    hostname: jwm1-ose-node2.example.com
    ip: 192.168.155.18
    node: true
    public_hostname: jwm1-ose-node2.example.com
    public_ip: 192.168.155.18
    roles:
    - node
  - connect_to: jwm1-ose-master1.example.com
    hostname: jwm1-ose-master1.example.com
    ip: 192.168.155.11
    master: true
    node: true
    public_hostname: jwm1-ose-master1.example.com
    public_ip: 192.168.155.11
    roles:
    - master
    - node
  roles: {'master', 'node'}
variant: openshift-enterprise
variant_version: '3.2'
version: v2

Comment 2 Dylan Murray 2016-08-08 19:07:41 UTC
https://github.com/fusor/fusor/pull/1134

Comment 3 John Matthews 2016-08-08 21:55:11 UTC
Will be in evening compose of 8/8

Comment 4 James Olin Oden 2016-08-18 13:08:35 UTC
Verified with QCI-1.0-RHEL-7-20160817.t.0

Installed:  RHV(self hosted, 4 hosts) + OSE(1 controller + 4 workers)

Comment 6 errata-xmlrpc 2016-09-13 16:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1862


Note You need to log in before you can comment on or make changes to this bug.